%global gssapi_provider_kerberos %{?gssapi_provider_kerberos:0}

Name:           glite-lbjp-common-gss
Version:        3.2.16
Release:        1%{?dist}
Summary:        Wrapper of Globus GSS/SSL implementation used by gLite LB and JP

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.gss/%{name}-%{version}.tar.gz

BuildRequires:  c-ares-devel
BuildRequires:  cppunit-devel
%if %{?gssapi_provider_kerberos:0}
BuildRequires:  globus-common-devel
BuildRequires:  krb5-devel
%else
BuildRequires:  globus-gssapi-gsi-devel
%endif
BuildRequires:  libtool
BuildRequires:  openssl-devel
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
secure network communication library with strict timing control (via timeout
arguments) of all remote operations.


%package        devel
Summary:        Development files for gLite GSS library
Requires:       %{name}%{?_isa} = %{version}-%{release}
%if %{?gssapi_provider_kerberos:0}
Requires:       globus-common-devel%{?_isa}
Requires:       krb5-devel%{?_isa}
%else
Requires:       globus-gssapi-gsi-devel%{?_isa}
%endif
Requires:       pkgconfig

%description    devel
This package contains development libraries and header files for gLite GSS
library.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
if [ "%gssapi_provider_kerberos" == "1" ]; then
    echo "gssapi_provider=kerberos" >> Makefile.inc
    echo "GLOBUS_COMMON_CFLAGS=`pkg-config --cflags globus-common`" >> Makefile.inc
    echo "GLOBUS_COMMON_LIBS=`pkg-config --libs globus-common`" >> Makefile.inc
fi

CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE
%{_libdir}/libglite_security_gss.so.9
%{_libdir}/libglite_security_gss.so.9.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/security
%{_includedir}/glite/security/glite_gss.h
%{_libdir}/libglite_security_gss.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.16-1
- New release 3.2.16 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 3.2.15-1
- New release 3.2.15 (L&B 4.1.1)

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.14-1
- New release 3.2.14 (L&B 4.0.12)
- Cflags patch not needed anymore
- Enabled parallel build
- The find command replaced by wildcards

* Wed Aug 21 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.13-2
- Perl dependencies
- Removed %%check target
- Not used arch-specific BuildRequires

* Mon Jun 24 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.13-1
- Initial package
